Page MenuHomeFreeBSD

Mk/Uses/libtool.mk: pass through LDFLAGS `-fuse-ld=*`
ClosedPublic

Authored by emaste on Dec 22 2017, 5:28 PM.

Details

Summary

Some ports depend on permissive or broken behaviour from the GNU BFD linker, ld.bfd. Clang and GCC support a -fuse-ld= flag to specify the linker to use, and as we migrate to installing lld as the base system's /usr/bin/ld we'll want to make use of -fuse-ld=bfd to let ports that fail with lld use bfd instead.

An upstream libtool change from Feb 2016 supports passing through -fuse-ld=, but it has not yet made it into a release: http://git.savannah.gnu.org/cgit/libtool.git/commit/?id=f9970d99293faf908fdc153a653fa5781095fb7a

Patch an equivalent change into ltmain.sh via Mk/Uses/libtool.mk.

See PR 224514 for an earlier attempt which address this in the libtool port only, and so fixes those ports that have USES=autoreconf but not ports using their own ltmain.sh. @tijl suggested this change.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

emaste created this revision.Dec 22 2017, 5:28 PM
Herald added a subscriber: mat. · View Herald Transcript
tijl accepted this revision.Dec 23 2017, 2:07 PM
antoine accepted this revision.Dec 24 2017, 4:35 PM
This revision is now accepted and ready to land.Dec 24 2017, 4:35 PM
This revision was automatically updated to reflect the committed changes.